Package Details: ros-melodic-qt-gui-cpp 0.4.2-1

Git Clone URL: https://aur.archlinux.org/ros-melodic-qt-gui-cpp.git (read-only, click to copy)
Package Base: ros-melodic-qt-gui-cpp
Description: ROS - qt_gui_cpp provides the foundation for C++-bindings for qt_gui and creates bindings for every generator available.
Upstream URL: https://wiki.ros.org/qt_gui_cpp
Licenses: BSD
Submitter: GPereira
Maintainer: bionade24
Last Packager: bionade24
Votes: 2
Popularity: 0.000062
First Submitted: 2018-05-08 14:15
Last Updated: 2020-08-06 18:39

Latest Comments

1 2 3 4 Next › Last »

bionade24 commented on 2020-02-19 17:06

r00tr4t: Not really. This package should even work with pyside2 itself, so that's a dumb idea. If you did everything right, you don't run into this issue.

r00tr4t commented on 2020-02-19 15:09

Perhaps add conflicts with

pyside2  pyside2-tools

Removing them solves the issue.

acxz commented on 2019-10-11 05:35

Hey fellows, the maintainers of ROS Melodic on AUR rarely check the AUR comment sections of the packages. In fact, we use a github mirror, https://github.com/ros-melodic-arch. These comments and concerns would be more visible on the issues page of https://github.com/ros-melodic-arch/ros-melodic-qt-gui-cpp/issues and some may even be addressed.

This boost issue should be fixed when the following PR (https://github.com/ros-melodic-arch/ros-melodic-qt-gui-cpp/pull/10) gets merged and synced with the AUR.

hb21 commented on 2019-10-11 01:47

@Nim65s The -DBoost_NO_BOOST_CMAKE=ON flag worked for me

Nim65s commented on 2019-10-09 15:15

@Thraen: Boost has a new .pc file, which is read by CMake, and changes a few things… Maybe you can try with the -DBoost_NO_BOOST_CMAKE=ON option.

Thraen commented on 2019-10-09 14:25

Another problem happened after the Boost package update : ld can't find -lBoost::system and ld can't find -lBoost::filesystem. It look like c++ namespace, i don't know how they arrived in a makefile. You can solve the problem using a sed command to remove those entries in build/src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/build.make

stormer commented on 2019-10-08 17:19

@Thraen Thank you that solved it, I am sorry that I was unresponsive start of the semester hit me hard

Thraen commented on 2019-10-08 14:54

@Stormer Just uninstall pyside2 and python-pyside, then install sip and python-sip. Everything should work as expected. Those dependencies should be included in the package btw.

stormer commented on 2019-10-02 08:38

@Thraen Thank you for trying to solve this problem. If you make progress please update me :D

Thraen commented on 2019-10-02 08:04

@stormer, hi, i think the problem here is that shiboken now uses --"generator-set" instead of "--generatorSet". I'm still looking where do to the modifications...

EDIT: ok, just follow this and it'll be good https://github.com/ros-visualization/qt_gui_core/issues/142